package com.yunfeiyun.agmp.fms.domain;

import java.math.BigDecimal;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 农事任务提交记录对象 FmsTaskrcd
 * 
 * @author 杨晓辉
 * @date 2023-05-24
 */
public class FmsTaskrcd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农事任务记录编号 */
    private String taskrcdId;

    /** 农事任务标识 */
    @Excel(name = "农事任务标识")
    private String taskId;

    /** 仓库标识 */
    @Excel(name = "仓库标识")
    private String warehouseId;

    /** 提交时间 */
    @Excel(name = "提交时间")
    private String taskrcdSubmitdate;

    /** 完成时间 */
    @Excel(name = "完成时间")
    private String taskrcdCompletedate;

    /** 工时 */
    @Excel(name = "工时")
    private BigDecimal taskrcdHour;

    /** 采收重量 */
    @Excel(name = "采收重量")
    private BigDecimal taskrcdWeight;

    /** 提交说明 */
    @Excel(name = "提交说明")
    private String taskrcdSubmitcontent;

    /** 巡田方式 */
    @Excel(name = "巡田方式")
    private String taskrcdPatrolway;

    /** 农事任务审核状态 */
    @Excel(name = "农事任务审核状态")
    private String taskrcdAuditstatus;

    /** 农事任务审核时间 */
    @Excel(name = "农事任务审核时间")
    private String taskrcdAuditdate;

    /** 农事任务审核人 */
    @Excel(name = "农事任务审核人")
    private String taskrcdAuditor;

    /** 农事任务审核内容 */
    @Excel(name = "农事任务审核内容")
    private String taskrcdAuditcontent;

    /** 农事任务执行人 */
    @Excel(name = "农事任务执行人")
    private String taskrcdExecutor;

    /** 农事任务执行人名称 */
    @Excel(name = "农事任务执行人名称")
    private String taskrcdExecutorname;

    /** 农事任务费用 */
    private BigDecimal taskrcdCost;

    /** 农资投入 */
    private BigDecimal taskrcdAssetInvestment;

    /** 农机具投入 */
    private BigDecimal taskrcdMachineInvestment;

    public void setTaskrcdId(String taskrcdId)
    {
        this.taskrcdId = taskrcdId;
    }

    public String getTaskrcdId()
    {
        return taskrcdId;
    }
    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getTaskId()
    {
        return taskId;
    }
    public void setWarehouseId(String warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseId()
    {
        return warehouseId;
    }
    public void setTaskrcdCompletedate(String taskrcdCompletedate)
    {
        this.taskrcdCompletedate = taskrcdCompletedate;
    }

    public String getTaskrcdCompletedate()
    {
        return taskrcdCompletedate;
    }
    public void setTaskrcdHour(BigDecimal taskrcdHour)
    {
        this.taskrcdHour = taskrcdHour;
    }

    public BigDecimal getTaskrcdHour()
    {
        return taskrcdHour;
    }
    public void setTaskrcdWeight(BigDecimal taskrcdWeight)
    {
        this.taskrcdWeight = taskrcdWeight;
    }

    public BigDecimal getTaskrcdWeight()
    {
        return taskrcdWeight;
    }
    public void setTaskrcdSubmitcontent(String taskrcdSubmitcontent)
    {
        this.taskrcdSubmitcontent = taskrcdSubmitcontent;
    }

    public String getTaskrcdSubmitcontent()
    {
        return taskrcdSubmitcontent;
    }
    public void setTaskrcdPatrolway(String taskrcdPatrolway)
    {
        this.taskrcdPatrolway = taskrcdPatrolway;
    }

    public String getTaskrcdPatrolway()
    {
        return taskrcdPatrolway;
    }
    public void setTaskrcdAuditstatus(String taskrcdAuditstatus)
    {
        this.taskrcdAuditstatus = taskrcdAuditstatus;
    }

    public String getTaskrcdAuditstatus()
    {
        return taskrcdAuditstatus;
    }
    public void setTaskrcdAuditdate(String taskrcdAuditdate)
    {
        this.taskrcdAuditdate = taskrcdAuditdate;
    }

    public String getTaskrcdAuditdate()
    {
        return taskrcdAuditdate;
    }
    public void setTaskrcdAuditor(String taskrcdAuditor)
    {
        this.taskrcdAuditor = taskrcdAuditor;
    }

    public String getTaskrcdAuditor()
    {
        return taskrcdAuditor;
    }
    public void setTaskrcdAuditcontent(String taskrcdAuditcontent)
    {
        this.taskrcdAuditcontent = taskrcdAuditcontent;
    }

    public String getTaskrcdAuditcontent()
    {
        return taskrcdAuditcontent;
    }
    public void setTaskrcdExecutor(String taskrcdExecutor)
    {
        this.taskrcdExecutor = taskrcdExecutor;
    }

    public String getTaskrcdExecutor()
    {
        return taskrcdExecutor;
    }
    public void setTaskrcdExecutorname(String taskrcdExecutorname)
    {
        this.taskrcdExecutorname = taskrcdExecutorname;
    }

    public String getTaskrcdExecutorname()
    {
        return taskrcdExecutorname;
    }

    public String getTaskrcdSubmitdate() {
        return taskrcdSubmitdate;
    }

    public void setTaskrcdSubmitdate(String taskrcdSubmitdate) {
        this.taskrcdSubmitdate = taskrcdSubmitdate;
    }

    public BigDecimal getTaskrcdCost() {
        return taskrcdCost;
    }

    public void setTaskrcdCost(BigDecimal taskrcdCost) {
        this.taskrcdCost = taskrcdCost;
    }

    public BigDecimal getTaskrcdAssetInvestment() {
        return taskrcdAssetInvestment;
    }

    public void setTaskrcdAssetInvestment(BigDecimal taskrcdAssetInvestment) {
        this.taskrcdAssetInvestment = taskrcdAssetInvestment;
    }

    public BigDecimal getTaskrcdMachineInvestment() {
        return taskrcdMachineInvestment;
    }

    public void setTaskrcdMachineInvestment(BigDecimal taskrcdMachineInvestment) {
        this.taskrcdMachineInvestment = taskrcdMachineInvestment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskrcdId", getTaskrcdId())
            .append("taskId", getTaskId())
            .append("warehouseId", getWarehouseId())
            .append("taskrcdCompletedate", getTaskrcdCompletedate())
            .append("taskrcdHour", getTaskrcdHour())
            .append("taskrcdWeight", getTaskrcdWeight())
            .append("taskrcdSubmitcontent", getTaskrcdSubmitcontent())
            .append("taskrcdPatrolway", getTaskrcdPatrolway())
            .append("taskrcdAuditstatus", getTaskrcdAuditstatus())
            .append("taskrcdAuditdate", getTaskrcdAuditdate())
            .append("taskrcdAuditor", getTaskrcdAuditor())
            .append("taskrcdAuditcontent", getTaskrcdAuditcontent())
            .append("taskrcdExecutor", getTaskrcdExecutor())
            .append("taskrcdExecutorname", getTaskrcdExecutorname())
            .append("taskrcdSubmitdate", getTaskrcdSubmitdate())
            .append("taskrcdCost", getTaskrcdCost())
            .append("taskrcdAssetInvestment", getTaskrcdAssetInvestment())
            .append("taskrcdMachineInvestment", getTaskrcdMachineInvestment())
            .toString();
    }
}
